Index: osc_snovis/trunk/obuild/sh/build_release
===================================================================
--- osc_snovis/trunk/obuild/sh/build_release	(revision 141)
+++ osc_snovis/trunk/obuild/sh/build_release	(revision 190)
@@ -382,8 +382,4 @@
 unset obuild_platform_result
 obuild_pwd_osc_snovis_0=`pwd`
-cd ..
-cd ..
-cd ..
-obuild_dir_top=`pwd`
 cd "${obuild_osc_snovis_path}/${obuild_dir_bin}"
 /bin/rm -R -f osc_snovis
@@ -399,4 +395,5 @@
 
 /bin/rm -f "${obuild_dir_project}/Versions"
+echo "package foreign v1r0" >> "${obuild_dir_project}/Versions"
 echo "package expat v1r11p6" >> "${obuild_dir_project}/Versions"
 echo "package Slash v1r0p0" >> "${obuild_dir_project}/Versions"
@@ -404,4 +401,5 @@
 echo "package BatchLab v1r0" >> "${obuild_dir_project}/Versions"
 echo "package UseAIDA v1r0p2" >> "${obuild_dir_project}/Versions"
+echo "package osc_batch v16r0p0" >> "${obuild_dir_project}/Versions"
 echo "package CoinGL v1r244p0" >> "${obuild_dir_project}/Versions"
 echo "package CoinQt v1r130p0" >> "${obuild_dir_project}/Versions"
Index: osc_snovis/trunk/obuild/sh/build_release
===================================================================
--- osc_snovis/trunk/obuild/sh/build_release	(revision 141)
+++ osc_snovis/trunk/obuild/sh/build_release	(revision 190)
@@ -3733,8 +969,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.csh" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.csh not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.csh" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/setup.csh" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/setup.csh not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/setup.csh" "${obuild_dir_project}/."
 fi
 fi
@@ -3746,8 +982,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.sh" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.sh not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/setup.sh" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/setup.sh" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/setup.sh not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/setup.sh" "${obuild_dir_project}/."
 fi
 fi
@@ -3759,8 +995,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.csh" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.csh not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.csh" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.csh" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.csh not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.csh" "${obuild_dir_project}/."
 fi
 fi
@@ -3772,8 +1008,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.sh" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.sh not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-setup.sh" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.sh" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.sh not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/aida-setup.sh" "${obuild_dir_project}/."
 fi
 fi
@@ -3785,8 +1021,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/install" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/install not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/install" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/install" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/install not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/install" "${obuild_dir_project}/."
 fi
 fi
@@ -3798,8 +1034,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/README" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/README not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/README" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/README" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/README not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/README" "${obuild_dir_project}/."
 fi
 fi
@@ -3811,8 +1047,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-build-example" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-build-example not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-build-example" "${obuild_dir_project}/tools/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/aida-build-example" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/aida-build-example not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/aida-build-example" "${obuild_dir_project}/tools/."
 fi
 fi
@@ -3824,15 +1060,15 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'UNIX'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-run-all-examples" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-run-all-examples not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/UNIX/aida-run-all-examples" "${obuild_dir_project}/tools/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/UNIX/aida-run-all-examples" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/UNIX/aida-run-all-examples not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/UNIX/aida-run-all-examples" "${obuild_dir_project}/tools/."
 fi
 fi
 unset obuild_platform_result
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/License" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/License not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/License" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/License" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/License not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/License" "${obuild_dir_project}/."
 fi
 if [ "${obuild_platform_exe}" = "" ] ; then
@@ -3842,8 +1078,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/setup.bat" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/setup.bat not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/setup.bat" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/Windows_NT/setup.bat" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/Windows_NT/setup.bat not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/Windows_NT/setup.bat" "${obuild_dir_project}/."
 fi
 fi
@@ -3855,8 +1091,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-setup.bat" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-setup.bat not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-setup.bat" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-setup.bat" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-setup.bat not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-setup.bat" "${obuild_dir_project}/."
 fi
 fi
@@ -3868,8 +1104,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/README" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/README not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/README" "${obuild_dir_project}/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/Windows_NT/README" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/Windows_NT/README not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/Windows_NT/README" "${obuild_dir_project}/."
 fi
 fi
@@ -3881,8 +1117,8 @@
 obuild_platform_result=`"${obuild_platform_exe}" ${obuild_platform} 'Windows_NT'`
 if [ ${obuild_platform_result} = yes ] ; then
-if [ ! -e "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-build-example.bat" ] ; then
-  echo "WARNNING : File ${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-build-example.bat not found."
-else
-/bin/cp "${obuild_dir_top}/osc_batch/v16r0p0/obuild/release/Windows_NT/aida-build-example.bat" "${obuild_dir_project}/tools/."
+if [ ! -e "${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-build-example.bat" ] ; then
+  echo "WARNNING : File ${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-build-example.bat not found."
+else
+/bin/cp "${obuild_osc_batch_path}/obuild/release/Windows_NT/aida-build-example.bat" "${obuild_dir_project}/tools/."
 fi
 fi
